Get a cohort
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/cohorts/{cohortId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/cohorts/{cohortId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/cohorts/{cohortId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"created_at": "<string>",
"created_by": "<string>",
"dead_keys": [
"<string>"
],
"description": "<string>",
"id": "<string>",
"member_count": 123,
"name": "<string>",
"rules": {
"operator": "and",
"predicates": [
{
"key": "<string>",
"op": "<string>",
"type": "attribute",
"value": "<string>"
}
],
"version": 1
},
"updated_at": "<string>"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Cohorts
Get a cohort
Returns one cohort with its name, description, rules, current member_count and dead_keys, the attribute keys its rules name that no longer exist. Returns 404 when no cohort with that id belongs to your tenant.
GET
/
tenant
/
{tenantId}
/
cohorts
/
{cohortId}
Get a cohort
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/cohorts/{cohortId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/cohorts/{cohortId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/cohorts/{cohortId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"created_at": "<string>",
"created_by": "<string>",
"dead_keys": [
"<string>"
],
"description": "<string>",
"id": "<string>",
"member_count": 123,
"name": "<string>",
"rules": {
"operator": "and",
"predicates": [
{
"key": "<string>",
"op": "<string>",
"type": "attribute",
"value": "<string>"
}
],
"version": 1
},
"updated_at": "<string>"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}⌘I

